cd "$(git rev-parse --show-toplevel)"

CFLAGS="$CFLAGS -std=c11 -pedantic -Wall -Wextra"
CFLAGS="$CFLAGS -Og -ggdb"

mkdir -p build

# Build tests
clang $CFLAGS -Itests -c -o build/testing.o tests/testing.c

# Build application
clang $CFLAGS -c -o build/main.o app/main.c
clang $CFLAGS -o build/infix-calculator build/main.o
